MCP Tools Reference: ces.googleapis.com

工具:delete_evaluation_result

删除指定的评估结果。

以下代码示例展示了如何使用 curl 调用 delete_evaluation_result MCP 工具。

Curl 请求
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_evaluation_result",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

输入架构

EvaluationService.DeleteEvaluationResult 的请求消息。

DeleteEvaluationResultRequest

JSON 表示法
{
  "name": string
}
字段
name

string

必需。要删除的评估结果的资源名称。

输出架构

一种通用的空消息,您可以重复使用它,以避免在 API 中定义重复的空消息。一个典型的示例是将其用作 API 方法的请求或响应类型。例如:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

工具注释

工具注释会发送给 MCP 客户端,用于描述给定工具的基本风险。大多数客户端会将这些提示视为不可信,但它们可用于确定何时向用户发送确认提示。

除了标题字符串之外,以下布尔值提示的定义如下:

  • readOnlyHint:如果为 true,则该工具不会修改其环境。默认值:false。
  • destructiveHint:如果为 true,则该工具可以执行破坏性操作。如果为 false,则该工具只能执行添加性操作。默认值:true。
  • idempotentHint:如果为 true,则使用相同的参数重复调用该工具不会对其环境产生额外影响。默认值:false。
  • openWorldHint:如果为 true,则该工具可以与外部实体的“开放世界”互动。如果为 false,则该工具只能与内部实体互动。例如,网络搜索工具属于开放世界,而内存工具则不属于开放世界。

破坏性提示:✅ | 幂等性提示:❌ | 只读提示:❌ | 开放世界提示:❌